## python-goodvibes 3.2%2Bdfsg

=== debian/changelog ===
python-goodvibes (3.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Do not FTBFS with the nocheck build profile (Closes: #1103322)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 16 Apr 2025 14:42:13 +0200

python-goodvibes (3.2+dfsg-5) unstable; urgency=medium

  * d/rules: remove /usr/bin/goodvibes executable to prevent
    conflict with another package in Debian. (Closes: #1078865)
  * Remove d/goodvibes.1 and d/python3-goodvibes.manpages.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sun, 18 Aug 2024 15:30:00 +0000

python-goodvibes (3.2+dfsg-4) unstable; urgency=medium

  * No-changes source-only upload.

 -- Yogeswaran Umasankar <yogu@debian.org>  Thu, 15 Aug 2024 17:20:00 +0000

python-goodvibes (3.2+dfsg-3) unstable; urgency=medium

  * d/control: add python-goodvibes-doc package and its
    related B-Depends + update uploaders list.
  * d/rules: add sphinxdoc build + dh_installdocs to build docs
    + enable goodvibes binary file.
  * Add d/python-goodvibes-doc.doc-base and
    d/python-goodvibes-doc.docs.
  * Add d/patches/003_fix-for-docs.patch for docs.
  * Add d/goodvibes.1 and d/python3-goodvibes.manpages.
  * d/copyright: update email ID in debian/* copyright.
  * Add d/source/options to diff-ignore egg-info.

 -- Yogeswaran Umasankar <yogu@debian.org>  Thu, 15 Aug 2024 06:15:00 +0000

python-goodvibes (3.2+dfsg-2) unstable; urgency=medium

  * No-changes source-only upload.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Thu, 25 Jan 2024 02:00:00 +0000

python-goodvibes (3.2+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1059884)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Wed, 17 Jan 2024 12:00:00 +0000
