## python-goodvibes 3.2+dfsg

=== docs/requirements.txt ===
Sphinx
sphinx-rtd-theme
sphinxcontrib-napoleon
recommonmark
