=== goodvibes/requirements.txt ===
numpy
cclib
