=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=goodvibes
#Disabled tests needing the missing data in Gaussian system examples
export PYBUILD_TEST_ARGS = \
	-k 'not test_QS[CuCN.out-grimme-298.15--289.005463-0.006594--288.994307-0.025953-0.025956--289.02026--289.020264] \
	and not test_QS[CuCN.out-grimme-100.0--289.005463-0.006594--288.997568-0.006944-0.006946--289.004512--289.004514] \
	and not test_QS[CuCN.out-truhlar-298.15--289.005463-0.006594--288.994307-0.025953-0.025953--289.02026--289.02026] \
	and not test_QS[CuCN.out-truhlar-100.0--289.005463-0.006594--288.997568-0.006944-0.006944--289.004512--289.004512] \
	and not test_QH[CuCN.out-grimme-298.15--289.005463-0.006594--288.994307--288.994323-0.025953-0.025956--289.02026--289.020279] \
	and not test_QH[CuCN.out-grimme-100.0--289.005463-0.006594--288.997568--288.997581-0.006944-0.006946--289.004512--289.004527] \
	and not test_QH[CuCN.out-truhlar-298.15--289.005463-0.006594--288.994307--288.994323-0.025953-0.025953--289.02026--289.020276] \
	and not test_QH[CuCN.out-truhlar-100.0--289.005463-0.006594--288.997568--288.997581-0.006944-0.006944--289.004512--289.004525]'

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install

	# Remove executable in not-elf-or-script
	find debian/python3-goodvibes/usr/lib/python3.*/dist-packages/goodvibes/examples -type f -exec chmod -x {} +

	# Exclude the 'goodvibes' executable
	rm debian/python3-goodvibes/usr/bin/goodvibes
	rm -d debian/python3-goodvibes/usr/bin

execute_after_dh_auto_install:
	# Remove unknown-file-in-python-module-directory
	rm -f debian/python3-goodvibes/usr/lib/python3.*/dist-packages/GoodVibes_test.dat

override_dh_installdocs:
	https_proxy='127.0.0.1:9' http_proxy='127.0.0.1:9' sphinx-build -b html docs build/sphinx/html

	# Remove or replace privacy-breach URLs with local paths
	find -type f -name "*.html" -exec sed -i 's|https://anaconda.org/patonlab/goodvibes/badges/downloads.svg|(URL removed)|g' {} +
	find -type f -name "*.html" -exec sed -i 's|https://anaconda.org/patonlab/goodvibes/badges/installer/conda.svg|(URL removed)|g' {} +
	find -type f -name "*.html" -exec sed -i 's|https://travis-ci.org/|(URL removed)|g' {} +
	find -type f -name "*.html" -exec sed -i 's|https://readthedocs.org/projects/goodvibespy/badge/|(URL removed)|g' {} +
	find -type f -name "*.html" -exec sed -i 's|https://img.shields.io/badge/|(URL removed)|g' {} +
	find -type f -name "*.html" -exec sed -i 's|https://badge.fury.io/py/goodvibes.svg|(URL removed)|g' {} +

	dh_installdocs -ppython-goodvibes-doc --doc-main-package=python-goodvibes-doc build/sphinx/html
	dh_installdocs
