=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg \
https://github.com/patonlab/GoodVibes/tags .*/v(\d\S+)\.tar\.gz
